ManagedReloadingDetector (Apache Commons Configuration 2.15.1 API)
Description: declaration: package: org.apache.commons.configuration2.reloading, class: ManagedReloadingDetector

Package org.apache.commons.configuration2.reloading

# Class ManagedReloadingDetector

java.lang.Object
org.apache.commons.configuration2.reloading.ManagedReloadingDetector

All Implemented Interfaces:
  `ManagedReloadingDetectorMBean`, `ReloadingDetector`

public class ManagedReloadingDetector extends Object implements ReloadingDetector, ManagedReloadingDetectorMBean
A strategy to reload configuration based on management requests. Designed for JMX management.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ManagedReloadingDetector()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isReloadingRequired()`
  Checks whether reloading is required.
  `void`
  `refresh()`
  Tells this strategy that the monitored configuration file should be refreshed.
  `void`
  `reloadingPerformed()`
  Notifies this object that a reload operation has been performed.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ManagedReloadingDetector

    public ManagedReloadingDetector()
    Constructs a new instance.

- ## Method Details

  - ### isReloadingRequired

    public boolean isReloadingRequired()
    Checks whether reloading is required. This implementation checks whether the `refresh()` method has been invoked.
    Specified by:
      `isReloadingRequired` in interface `ReloadingDetector`
    Returns:
      a flag whether reloading is required

  - ### refresh

    public void refresh()
    Tells this strategy that the monitored configuration file should be refreshed. This method will typically be called from outside (through an exposed MBean) on behalf of an administrator.
    Specified by:
      `refresh` in interface `ManagedReloadingDetectorMBean`
    See Also:
      - `ManagedReloadingDetectorMBean.refresh()`

  - ### reloadingPerformed

    public void reloadingPerformed()
    Notifies this object that a reload operation has been performed. This method is called after `reloadingRequired()` has returned true. It can be used to reset internal state in order to detect the next reload operation. This implementation resets the internal flag indicating that a reload should be performed.
    Specified by:
      `reloadingPerformed` in interface `ReloadingDetector`